Gmail to allow less secure app to connect

By Tze Yong Koh Sunday, October 11, 2015


Some of my old java application that used to be able to send out email via Gmail fails. This seems to be due to a security enhancement sometime back in Gmail.

We now need to explicitly allow less secure applications to connect to Gmail. In order to do that, we will have to


  1. Go to
    https://www.google.com/settings/security/lesssecureapps
  2. Check "Allow access for less secure apps"
Note that, this feature is not available for google account with 2-steps verifications enabled.

For more information:
https://support.google.com/accounts/answer/6010255?hl=en

No Comment to " Gmail to allow less secure app to connect "